##
##  ssldump.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ssldump
Summary:      SSL/TLS Network Protocol Analyzer
URL:          http://ssldump.sourceforge.net/
Vendor:       RTFM, Inc.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        SSL
License:      BSD
Version:      0.9b3
Release:      20160323

#   list of sources
Source0:      http://downloads.sourceforge.net/ssldump/ssldump-%{version}.tar.gz
Patch0:       ssldump.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  libpcap, openssl
PreReq:       libpcap, openssl

%description
    SSLDump is an SSL/TLS network protocol analyzer. It identifies
    TCP connections on the chosen network interface and attempts to
    interpret them as SSL/TLS traffic. When it identifies SSL/TLS
    traffic, it decodes the records and displays them in a textual form
    to stdout. If provided with the appropriate keying material, it
    will also decrypt the connections and display the application data
    traffic.

%track
    prog ssldump = {
        version   = %{version}
        url       = http://ssldump.sourceforge.net/
        regex     = ssldump-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-pcap=%{l_prefix} \
        --with-pcap-inc=%{l_prefix}/include \
        --with-pcap-lib=%{l_prefix}/lib \
        --with-openssl=%{l_prefix} \
        --with-openssl-inc=%{l_prefix}/include \
        --with-openssl-lib=%{l_prefix}/lib
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

